> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Record that an approval card for this action was rendered to its owner



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/chat/actions/{action_id}/presented
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/chat/actions/{action_id}/presented:
    post:
      tags:
        - chat
      summary: Record that an approval card for this action was rendered to its owner
      operationId: >-
        record_chat_action_presented_api_v1_chat_actions__action_id__presented_post
      parameters:
        - in: path
          name: action_id
          required: true
          schema:
            format: uuid
            title: Action Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````